Bug 1270731 - Tab auto-complete doesn't work for oc in the client package
Tab auto-complete doesn't work for oc in the client package
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Troy Dawson
Wei Sun
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-12 05:27 EDT by Ma xiaoqiang
Modified: 2016-07-03 20:45 EDT (History)
4 users (show)

See Also:
Fixed In Version: atomic-openshift-3.0.2.901-0.git.61.568adb6.el7aos.x86_64
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-23 09:25:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ma xiaoqiang 2015-10-12 05:27:10 EDT
Description of problem:
Tab auto-complete doesn't work for oc in the client package


Version-Release number of selected component (if applicable):
atomic-openshift-clients-3.0.2.900-0.git.96.cc409db.el7aos.x86_64

How reproducible:
100%


Steps to Reproduce:
1. install the client on a clean machine
#yum install atomic-openshift-clients

2. run 'oc + tab'
#oc +tab

Actual results:
Tab auto-complete doesn't work

there are two issues:
1. Lack of bash-completion package on the server
2. Lack of '/etc/bash_completion.d/oc' file.

Expected results:
Show sub-commands of oc. 


Additional info:
Comment 1 Troy Dawson 2015-10-15 10:29:46 EDT
The bash completion oc file is now in atomic-openshift-clients with this pull request.
https://github.com/openshift/origin/pull/5119

As for getting bash-completion on the server, I feel that should be up to the admin.  Not everyone likes bash-completion, and not having it does not take away from the functionality of oc.
Comment 3 Ma xiaoqiang 2015-10-19 01:23:11 EDT
Check on puddle [ose-3.1/2015-10-17.1]

This issue is fixes, move it to VERIFIED.
Comment 4 Brenton Leanhardt 2015-11-23 09:25:21 EST
This fix is available in OpenShift Enterprise 3.1.

Note You need to log in before you can comment on or make changes to this bug.